## ros-one-voice-text 2.1.31-19jammy.20260221.0104

=== debian/changelog ===
ros-one-voice-text (2.1.31-19jammy.20260221.0104) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 01:04:35 +0000
