=== debian/control ===
Source: ros-one-voice-text
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-message-generation, ros-one-roscpp
Homepage: http://ros.org/wiki/voice_text
Standards-Version: 3.9.2

Package: ros-one-voice-text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nkf, ros-one-dynamic-reconfigure, ros-one-message-runtime, ros-one-sound-play
Description: The ROS package for VoiceText, ReadSpeaker (https://readspeaker.jp/)
