## ros-one-voice-text 2.1.31-19noble.20260221.0138

=== debian/changelog ===
ros-one-voice-text (2.1.31-19noble.20260221.0138) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 01:38:58 +0000
